/*
 * This file is part of accounts-ui
 *
 * Copyright (C) 2009-2010 Nokia Corporation.
 *
 * Contact: Alberto Mardegan <alberto.mardegan@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved.
 * Copying, including reproducing, storing, adapting or translating, any or all
 * of this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

#ifndef NACCOUNTSETTINGSPAGE_H
#define NACCOUNTSETTINGSPAGE_H

//libAccountsUI
#include <AccountsUI/AbstractAccountSetupContext>
#include <AccountsUI/AccountSettingsPage>

namespace AccountsUI {

class NAccountSettingsPagePrivate;

class ACCOUNTSUI_EXPORT NAccountSettingsPage :
    public AccountSettingsPage
{
    Q_OBJECT

public:
    NAccountSettingsPage(AccountsUI::AbstractAccountSetupContext *context);
    ~NAccountSettingsPage();

    virtual void createContent();

private:
    NAccountSettingsPagePrivate *d_ptr;
    Q_DISABLE_COPY(NAccountSettingsPage)
    Q_DECLARE_PRIVATE(NAccountSettingsPage)

};

}//namespace
#endif // NACCOUNTSETTINGSPAGE_H
