/*
 * This file is part of accounts-ui
 *
 * Copyright (C) 2009-2010 Nokia Corporation.
 *
 * Contact: Alberto Mardegan <alberto.mardegan@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved.
 * Copying, including reproducing, storing, adapting or translating, any or all
 * of this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

#ifndef NADDACCOUNTPAGE_H
#define NADDACCOUNTPAGE_H

//libAccountsUI
#include <AccountsUI/AbstractAccountSetupContext>
#include <AccountsUI/AddAccountPage>

namespace AccountsUI {

class NAddAccountPagePrivate;

class ACCOUNTSUI_EXPORT NAddAccountPage :
    public AddAccountPage
{
    Q_OBJECT

public:
    NAddAccountPage(AccountsUI::AbstractAccountSetupContext *context,
                    QGraphicsItem *parent = 0);
    ~NAddAccountPage();

    void openServiceSelectionPage(AccountsUI::AbstractAccountSetupContext *context,
                                   QList<AccountsUI::AbstractServiceSetupContext *> &serviceContextList);

private:
    NAddAccountPagePrivate *d_ptr;
    Q_DISABLE_COPY(NAddAccountPage)
    Q_DECLARE_PRIVATE(NAddAccountPage)

};
}


#endif // NADDACCOUNTPAGE_H
