/*
 * This file is part of accounts-ui
 *
 * Copyright (C) 2009-2010 Nokia Corporation.
 *
 * Contact: Alberto Mardegan <alberto.mardegan@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved.
 * Copying, including reproducing, storing, adapting or translating, any or all
 * of this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

#ifndef ACCOUNTSUI_NGENERICACCOUNTSETUPCONTEXT_H
#define ACCOUNTSUI_NGENERICACCOUNTSETUPCONTEXT_H

#include <AccountsUI/GenericAccountSetupContext>

namespace AccountsUI {

class NGenericAccountSetupContextPrivate;

class ACCOUNTSUI_EXPORT NGenericAccountSetupContext :
    public GenericAccountSetupContext
{
    Q_OBJECT

public:
    NGenericAccountSetupContext(Accounts::Account *account,
                                AccountsUI::SetupType type,
                                QObject *parent = 0);
    virtual ~NGenericAccountSetupContext();

    // AbstractSetupContext
    void store();

private slots:
    void parentStored();

private:
    NGenericAccountSetupContextPrivate *d_ptr;
    Q_DISABLE_COPY(NGenericAccountSetupContext)
    Q_DECLARE_PRIVATE(NGenericAccountSetupContext)
};

} // namespace

#endif // ACCOUNTSUI_NGENERICACCOUNTSETUPCONTEXT_H
