/*
 * This file is part of accounts-ui
 *
 * Copyright (C) 2009-2010 Nokia Corporation.
 *
 * Contact: Alberto Mardegan <alberto.mardegan@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved.
 * Copying, including reproducing, storing, adapting or translating, any or all
 * of this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

#ifndef NSERVICESELECTIONPAGE_H
#define NSERVICESELECTIONPAGE_H

//libAccountsUI
#include <AccountsUI/AbstractAccountSetupContext>
#include <AccountsUI/ServiceSelectionPage>

namespace AccountsUI {

class NServiceSelectionPagePrivate;

class ACCOUNTSUI_EXPORT NServiceSelectionPage :
    public ServiceSelectionPage
{
    Q_OBJECT

public:
    NServiceSelectionPage(AccountsUI::AbstractAccountSetupContext *context,
                          QList<AccountsUI::AbstractServiceSetupContext*>
                          &serviceContextList,
                          QGraphicsItem *parent = 0);
    ~NServiceSelectionPage();

    virtual void createContent();

private:
    NServiceSelectionPagePrivate *d_ptr;
    Q_DISABLE_COPY(NServiceSelectionPage)
    Q_DECLARE_PRIVATE(NServiceSelectionPage)

};
}

#endif // NSERVICESELECTIONPAGE_H
