#ifndef ACCOUNTSUI_H
#define ACCOUNTSUI_H

/*
 * automatically generated with the command line :
 * m-servicefwgen -p com.nokia.AccountsUI
 */

#include <QObject>

#include <mservicefwbaseif.h>

namespace AccountsUI {

class AccountsUI : public MServiceFwBaseIf
{
Q_OBJECT

public:

    /**
     * @brief Asks accounts-ui to create an account
     * @details This method starts the accounts-ui on the
     
     *                provider list page filtered by the service
     *  type
                    ServiceType. The last page of the
     *  account creation can be
                    customized by
     *  adding a series of buttons each of which will
         
     *            activate a different service (registered in the
     *  MeeGoTouch
                    service FW).
           
     *      
     */
    void CreateAccount( const QString &ServiceType, const QStringList &Actions );
    void Launch( const QString &ServiceType );

    /**
     * @brief Launch accounts-ui service
     * @details This method is created for convenience. It
    
     *                 will open and close the accounts-ui in specified
     *  page and specified title.
                    The StartPage
     *  can be "AccountsList" or "ProvidersPage".
             
     *        The EndPage can be "AccountsList", "ProvidersPage"
     *  or
                    "ClosePage". The ClosePage option
     *  will close the accounts-ui
                    app.
   
     *              
     */
    void Open( const QString &ServiceType, const QString &StartPage, const QString &EndPage, const QString &Title );

public:
    /*!
     * @brief Constructs a base interface
     * @param preferredService the preferred service provider. Leave
     * empty if no preferred provider. In most cases, this should be left
     * empty.
     * @param parent Parent object
     */

    AccountsUI( const QString& preferredService = "", QObject* parent = 0 );

    /*!
     * @brief Set the service name
     * @param service Name of the desired service
     */

    void setService(const QString & service);
Q_SIGNALS:

    /**
     * @brief Emited when accounts-ui is closed.
              
     *       If at least one account was created the arg is true.

     *                 
     */
    void Closed(bool AccountCreated);
    void Launched(const QString &ServiceType);
};

}; // namespace
#endif

